Bug 178926 - [patch] security/p5-Crypt-PBKDF2
Summary: [patch] security/p5-Crypt-PBKDF2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-perl (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-24 10:20 UTC by Andrej Zverev
Modified: 2013-05-25 06:50 UTC (History)
0 users

See Also:


Attachments
patch.diff (786 bytes, patch)
2013-05-24 10:20 UTC, Andrej Zverev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrej Zverev freebsd_committer 2013-05-24 10:20:01 UTC
	- Trim Makefile header
	- Remove unnecessary depend on PERL_LEVEL < 5.12
Comment 1 Edwin Groothuis freebsd_committer 2013-05-24 10:20:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-05-24 10:20:20 UTC
Maintainer of security/p5-Crypt-PBKDF2,

Please note that PR ports/178926 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/178926

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-05-24 10:20:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Victor Popov 2013-05-24 20:23:46 UTC
Hi,

Ok, please go ahead and commit it.
Andrej. if you wish, you can grab maintainership as I am not actively 
using this port anymore.

-- 
Best regards, Victor Popov
Comment 5 dfilter service freebsd_committer 2013-05-25 06:40:19 UTC
Author: az
Date: Sat May 25 05:40:00 2013
New Revision: 319026
URL: http://svnweb.freebsd.org/changeset/ports/319026

Log:
  - Trim Makefile header
  - Remove unnecessary depend on PERL_LEVEL < 5.12
  - Drop maintainership per maintainer request
  
  PR:		ports/178926
  Submitted by:	az
  Approved by:	Victor Popov <v.a.popov@gmail.com> (maintainer)

Modified:
  head/security/p5-Crypt-PBKDF2/Makefile

Modified: head/security/p5-Crypt-PBKDF2/Makefile
==============================================================================
--- head/security/p5-Crypt-PBKDF2/Makefile	Sat May 25 05:09:17 2013	(r319025)
+++ head/security/p5-Crypt-PBKDF2/Makefile	Sat May 25 05:40:00 2013	(r319026)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	p5-Crypt-PBKDF2
-# Date created:		2010-05-23
-# Whom:			Victor Popov <v.a.popov@gmail.com>
-#
+# Created by: Victor Popov <v.a.popov@gmail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	Crypt-PBKDF2
 PORTVERSION=	0.121930
@@ -12,7 +8,7 @@ MASTER_SITES=	CPAN
 MASTER_SITE_SUBDIR=	CPAN:ARODLAND
 PKGNAMEPREFIX=	p5-
 
-MAINTAINER=	v.a.popov@gmail.com
+MAINTAINER=	perl@FreeBSD.org
 COMMENT=	The PBKDF2 password hashing algorithm
 
 RUN_DEPENDS=	p5-Digest-HMAC>=1.01:${PORTSDIR}/security/p5-Digest-HMAC \
@@ -30,14 +26,4 @@ MAN3=		Crypt::PBKDF2.3 \
 		Crypt::PBKDF2::Hash::HMACSHA1.3 \
 		Crypt::PBKDF2::Hash::HMACSHA2.3
 
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 501000
-RUN_DEPENDS+=	p5-Digest-SHA>=0:${PORTSDIR}/security/p5-Digest-SHA
-.endif
-
-.if ${PERL_LEVEL} < 501001
-RUN_DEPENDS+=	p5-Digest>=1.16:${PORTSDIR}/security/p5-Digest
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Andrej Zverev freebsd_committer 2013-05-25 06:40:26 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!